main()
{
	precacheFX();   
	thread startCnqStuff();

}

precacheFX()
{

	level._effect["tigertankexplosion"]	= loadfx("fx/explosions/explosion1_nolight.efx");
	level._effect["fueltank"]		= loadfx("fx/explosions/fueltank_ned.efx");
	level._effect["wood_close"]		= loadfx ("fx/cannon/wood_close.efx");
  level._effect["wood"]			= loadfx ("fx/cannon/wood.efx");
  level._effect["dust"]			= loadfx ("fx/cannon/dust.efx");
  level._effect["dirt"]			= loadfx ("fx/cannon/dirt.efx");
	level._effect["sparkie"] = loadfx ("fx/misc/sparker.efx");

}

startCnqStuff() {
	
  if (getcvar("g_gametype") == "cnq" ) {
    //conquest specific code
	  setupCnqCallbacks();
	  startupCnqRadioSounds();
  }

}

setupCnqCallbacks() {
  level.cnqCallbackSpawnObjectiveComplete = ::Callback_SpawnObjectiveComplete;
  level.cnqCallbackBonusObjectiveComplete = ::Callback_BonusObjectiveComplete;
  level.cnqCallbackBonusObjectiveRegen =  ::Callback_BonusRegen;
}

Callback_BonusObjectiveComplete(objective, player) {
  objective playsound ("ro_throw_switch");
  maps\mp\_fx::loopfx("sparkie", objective.origin, 3.0, undefined, "sparkie", "sparkie");
  wait 0.5;
  level notify("start fxsparkie");
}

Callback_BonusRegen(objective) {
  wait 0.5;
  level notify("stop fxsparkie");
}

Callback_SpawnObjectiveComplete(objective, player) {
  wait 0.5;
  if (player.pers["team"] == "axis") { 
		objective stoploopsound();
	  wait 0.5;
		objective playloopsound ("ro_axis_radio");  
  } else {
		objective stoploopsound();
	  wait 0.5;
		objective playloopsound ("ro_allies_radio");  
  }
}

startupCnqRadioSounds () {
	
  radioSound = "ro_allies_radio";
  if (game["attackers"] == "allies")
	  radioSound = "ro_axis_radio";

  radios = getentarray("spawnobjective", "targetname");
  if (!isdefined(radios)) {	
  	return;
  }
  for (i = 0; i < radios.size; i++)
  	radios[i] playloopsound(radioSound);
}

